Bug 27751 - Phase out jquery.cookie.js: Batch item modifications
Summary: Phase out jquery.cookie.js: Batch item modifications
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 23944 27752
Blocks: 27750
  Show dependency treegraph
 
Reported: 2021-02-22 15:19 UTC by Owen Leonard
Modified: 2021-03-19 13:25 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27751: Phase out jquery.cookie.js: Batch item modifications (3.73 KB, patch)
2021-02-22 16:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27751: Phase out jquery.cookie.js: Batch item modifications (3.77 KB, patch)
2021-02-24 11:25 UTC, David Nind
Details | Diff | Splinter Review
Bug 27751: Phase out jquery.cookie.js: Batch item modifications (3.83 KB, patch)
2021-03-04 14:16 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-02-22 15:19:31 UTC
The batch item modification and deletion interfaces use a cookie to remember which columns in the table are shown or hidden. These templates should be modified to use the newer cookie plugin, js-cookie.
Comment 1 Owen Leonard 2021-02-22 16:52:32 UTC
Created attachment 117171 [details] [review]
Bug 27751: Phase out jquery.cookie.js: Batch item modifications

To test, apply the patch and go to Tools -> Batch item modification.

- Submit a batch of barcodes for modification.
- Uncheck some checkboxes to hide columns in the table showing your
  submitted items.
- Return to the batch item modification page and submit your batch
  again.
- The columns you selected should still be hidden.
- Submit a batch of items for deletion.
- The same columns should be hidden here too.
- Also test that the "Show all columns" and "Hide all columns" buttons
  work and that the changes persist across batches.
Comment 2 David Nind 2021-02-24 11:25:42 UTC
Created attachment 117244 [details] [review]
Bug 27751: Phase out jquery.cookie.js: Batch item modifications

To test, apply the patch and go to Tools -> Batch item modification.

- Submit a batch of barcodes for modification.
- Uncheck some checkboxes to hide columns in the table showing your
  submitted items.
- Return to the batch item modification page and submit your batch
  again.
- The columns you selected should still be hidden.
- Submit a batch of items for deletion.
- The same columns should be hidden here too.
- Also test that the "Show all columns" and "Hide all columns" buttons
  work and that the changes persist across batches.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-03-04 14:16:18 UTC
Created attachment 117727 [details] [review]
Bug 27751: Phase out jquery.cookie.js: Batch item modifications

To test, apply the patch and go to Tools -> Batch item modification.

- Submit a batch of barcodes for modification.
- Uncheck some checkboxes to hide columns in the table showing your
  submitted items.
- Return to the batch item modification page and submit your batch
  again.
- The columns you selected should still be hidden.
- Submit a batch of items for deletion.
- The same columns should be hidden here too.
- Also test that the "Show all columns" and "Hide all columns" buttons
  work and that the changes persist across batches.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-03-09 16:20:14 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-03-19 13:25:54 UTC
Enhancement not pushed to 20.11.x